diff --git a/buglist b/buglist
index 243bf1b..a9aa39b 100644
--- a/buglist
+++ b/buglist
@@ -1,12 +1,43 @@
 =========================================================================
 
-bug 7225: 
+bug 7226: 
 todo 329:
 wish 1011:
 meh 5:
 
 =========================================================================
 
+bug 7225: Lasagna Larga Doppia Riccia does not plot 0.0
+
+See bookvol8.1, section Lasagna Larga Doppia Riccia
+
+given:
+
+X(i,j) == _
+  if ((8 <= i) and (i <= 42)) _
+   then 5.0/6.0+(5.0*i-40.0)/34.0 _
+   else if (i <= 8) _
+         then 5.0*i/48.0 _
+         else 5.0/6.0*(7+(i-42.0)/8)
+Y(i,j) == j/15.0
+Z(i,j) == _
+  if ((8 <= i) and (i <= 42)) _
+   then 0.0 _
+   else if (i <= 8) _
+         then (8.0-i)/32.0*cos((j+3)*%pi/6) _
+         else 0.25*(i-42)/8.0*cos((j+9)*%pi/6)
+v3d:=draw(surface(X(i,j),Y(i,j),Z(i,j)),i=0..50,j=0..150,_
+           style=="smooth",title=="Lasagna Larga Doppia Riccia")
+colorDef(v3d,yellow(),yellow())
+axes(v3d,"off")
+zoom(v3d,3.0,3.0,3.0)
+
+The middle part of the image should generate 0.0 for the Z value
+but the drawn image does not show a flat plane. Calling Z(30.0,30.0)
+shows that the values of 0.0 is generated.
+
+=========================================================================
+
 bug 7224: Axiom2D PS save function clips right side of image
 
 draw(sin(4*t/7),t=0..14*%pi,coordinates==elliptic(1$DFLOAT))
diff --git a/changelog b/changelog
index 7c1e82f..e19b8d9 100644
--- a/changelog
+++ b/changelog
@@ -1,3 +1,5 @@
+20120218 tpd src/axiom-website/patches.html 20120218.02.tpd.patch
+20120218 tpd buglist 7225: Lasagna Larga Doppia Riccia does not plot 0.0
 20120218 tpd src/axiom-website/patches.html 20120218.01.tpd.patch
 20120218 tpd books/ps/v81galletti.eps fix galletti image
 20120218 tpd books/bookvol8.1 fix galletti equations and image
diff --git a/src/axiom-website/patches.html b/src/axiom-website/patches.html
index dd3cdc3..0294c5d 100644
--- a/src/axiom-website/patches.html
+++ b/src/axiom-website/patches.html
@@ -3820,5 +3820,7 @@ readme add George Legendre<br/>
 buglist add additional graphics bugs<br/>
 <a href="patches/20120218.01.tpd.patch">20120218.01.tpd.patch</a>
 books/bookvol8.1 fix galletti equations and image<br/>
+<a href="patches/20120218.02.tpd.patch">20120218.02.tpd.patch</a>
+buglist 7225: Lasagna Larga Doppia Riccia does not plot 0.0<br/>
  </body>
 </html>
